package com.yc.education.service;/**
 * huangpan
 * 2019/11/5
 * tongnai
 */

import com.yc.education.model.Newsen;

import java.util.List;

/**
 *@ClassName NewsService
 *@Description TODO
 *@Author QuZhangJing
 *@Date 2019/11/5 11:56
 *@Version 1.0
 */
public interface NewsenService extends IService<Newsen> {
    /*查询所有*/
    List<Newsen> getNews(Integer pageSize, Integer pageNum, String titleName, String startTime, String endTime);

    /*查询单条*/
    Newsen getNewsById(Integer id);

    /*删除信息*/
    void delNewsById(Integer id);

    /*前端默认查询最高值*/
    Newsen selNewsId();

    /*前端无条件查询*/
    List<Newsen> selNews();

    /*根据已知id查询上一页*/
    Newsen selNewsSize(Integer id);

    /*根据已知id查询下一页*/
    Newsen selNewsNum(Integer id);
}
